import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:schedule_badge_updates/schedule_badge_updates.dart';

void main() {
  const MethodChannel channel = MethodChannel('schedule_badge_updates');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await ScheduleBadgeUpdates.platformVersion, '42');
  });
}
